var $ = jQuery;
$(function() {

    var jDownloadStatement = $("#DownloadStatement");

    //Получить список групп по ID курса
    $("#SelectGrade").change(function() {
        var gradeID = parseInt($(this).val()) || 0;
        var jSelectGroup = $("#SelectGroup");
        if (gradeID > 0)
        {
            $.post(
                g_URLdir + "handler/GetData/GetGroups",
                {   
                    "GradeID": gradeID 
                },
                function(d){
                    d = $.parseJSON(d);
                    if(d.success === true) {
                    	console.log(d.data);
                    	var i = 0;
                    	jSelectGroup.html("<option>-Не выбрана-</option>");
                    	for (i in d.data)
                    	{
                    		group = d.data[i];
                    		jSelectGroup.append("<option value='"+ group.ID +"'>Группа "+ group.GroupNum +" ("+ group.SpecAbbr +")</option>");
                    	}
                    	if (i > 0 )
                    		jSelectGroup.removeAttr("disabled");
                    }
                }
            );
        }
        else 
        {
        	jSelectGroup.attr("disabled", "disabled");
        	jSelectGroup.html("<option>-Не выбрана-</option>");

        	jDownloadStatement.attr("disabled", "disabled");
        }
    });

    $("#SelectGroup").change(function() {
        var groupID = parseInt($(this).val()) || 0;
	 	if (groupID > 0)
	 		jDownloadStatement.removeAttr("disabled");
	 	else jDownloadStatement.attr("disabled", "disabled");
	});

    // Скачать ведомость
    $('body').on('click', '#DownloadStatement', function(){
        $.fileDownload( g_URLdir + 'handler/FileCreator/GenerateFinalFormsForGroup', {
            httpMethod: "POST",
            data: 
            {
                "GroupID": parseInt($("#SelectGroup").val()),
                "ExamType": $("#ExamType:checked").val() 
            },
            successCallback: function () {

            },
            failCallback: function () {
                EventInspector_ShowMsg('У выбранной группы отсутствуют дисциплины с зачетом', 'error');
            }
        });
    });

    // Печать ведомости
    $('body').on('click', '#DownloadExamDocument', function(){
        $.fileDownload( g_URLdir + 'handler/FileCreator/GenerateFinalForm', {
            httpMethod: "POST",
            data:
            {
                "GroupID": parseInt($("#SelectGroup").val()),
                "ExamType": $("#ExamType:checked").val()
            },
            successCallback: function () {

            },
            failCallback: function () {
                EventInspector_ShowMsg('Не удалось напечатать ведомость!', 'error');
            }
        });
    });

    // Блокирование дисциплины

    // Печать ведомости и блокирование дисциплины

});